//---------------------------------------------------------------------------

#ifndef Mail2NewsDlgsH
#define Mail2NewsDlgsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <ToolWin.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------

bool __fastcall ManageMail2newsTxt(TForm *Owner, const AnsiString &FileName);

class TMail2newsDlg : public TForm
{
__published:	// IDE-managed Components
        TToolBar *ToolBar;
        TPanel *Panel1;
        TRichEdit *Editor;
        TButton *OkBtn;
        TButton *CancelBtn;
        TToolButton *CutBtn;
        TToolButton *CopyBtn;
        TToolButton *PasteBtn;
        TToolButton *Spacer1;
        TToolButton *HttpBtn;
        TImageList *Images;
        TImageList *Imageshot;
        TImageList *Imagesdis;
        TPopupMenu *PopupMenu;
        TMenuItem *PopCutItem;
        TMenuItem *PopCopyItem;
        TMenuItem *PopPasteItem;
        TLabel *Label1;
        TProgressBar *ProgressBar;
        TTimer *Timer1;
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall EditorSelectionChange(TObject *Sender);
        void __fastcall PopupMenuPopup(TObject *Sender);
        void __fastcall FormResize(TObject *Sender);
        void __fastcall FormPaint(TObject *Sender);
        void __fastcall HttpBtnClick(TObject *Sender);
        void __fastcall CancelBtnClick(TObject *Sender);
        void __fastcall CutBtnClick(TObject *Sender);
        void __fastcall CopyBtnClick(TObject *Sender);
        void __fastcall PasteBtnClick(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
private:	// User declarations
public:		// User declarations
        AnsiString filename;
        TStringList *OrgPage;
        bool OrgModified, Working, Cancel, boguspage;
        virtual __fastcall TMail2newsDlg(TComponent* Owner);
        virtual __fastcall TMail2newsDlg(TComponent* Owner, const AnsiString &FileName);
        virtual __fastcall~TMail2newsDlg();
        void __fastcall SetToolbarButtons();
        bool __fastcall Refresh();
};
//---------------------------------------------------------------------------
extern PACKAGE TMail2newsDlg *Mail2newsDlg;
//---------------------------------------------------------------------------
#endif
