//---------------------------------------------------------------------------

#ifndef NymserverDlgsH
#define NymserverDlgsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
//---------------------------------------------------------------------------

bool __fastcall ManageNymserverAsc(TForm *Owner, const AnsiString &FileName);

class TNymserverDlg : public TForm
{
__published:	// IDE-managed Components
        TRichEdit *Editor;
        TToolBar *ToolBar;
        TToolButton *CutBtn;
        TToolButton *CopyBtn;
        TToolButton *PasteBtn;
        TToolButton *Spacer1;
        TToolButton *HttpBtn;
        TPanel *Panel1;
        TLabel *Label1;
        TProgressBar *ProgressBar;
        TButton *OkBtn;
        TButton *CancelBtn;
        TImageList *Images;
        TImageList *Imageshot;
        TImageList *Imagesdis;
        TPopupMenu *PopupMenu;
        TMenuItem *PopCutItem;
        TMenuItem *PopCopyItem;
        TMenuItem *PopPasteItem;
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall EditorSelectionChange(TObject *Sender);
        void __fastcall FormResize(TObject *Sender);
        void __fastcall FormPaint(TObject *Sender);
        void __fastcall HttpBtnClick(TObject *Sender);
        void __fastcall CancelBtnClick(TObject *Sender);
        void __fastcall CutBtnClick(TObject *Sender);
        void __fastcall CopyBtnClick(TObject *Sender);
        void __fastcall PasteBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        AnsiString filename;
        TStringList *OrgPage;
        bool OrgModified, Working, Cancel, boguspage;
        virtual __fastcall TNymserverDlg(TComponent* Owner);
        virtual __fastcall TNymserverDlg(TComponent* Owner, const AnsiString &FileName);
        virtual __fastcall~TNymserverDlg();
        void __fastcall SetToolbarButtons();
        bool __fastcall Refresh();
};

//---------------------------------------------------------------------------
extern PACKAGE TNymserverDlg *NymserverDlg;
//---------------------------------------------------------------------------
#endif
