//---------------------------------------------------------------------------

#ifndef QSnymWinsH
#define QSnymWinsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>

#include "NymFrames2.h"
//---------------------------------------------------------------------------

class TQSnymWin : public TForm
{
__published:	// IDE-managed Components
        TStatusBar *StatusBar;
        TBevel *Bevel1;
        TPanel *NavBar;
        TPanel *Panel2;
        TLabel *CurPath;
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
private:	// User declarations
public:		// User declarations
        TNymsFrame2 *DetailFrame;
        __fastcall TQSnymWin(TComponent* Owner);
        void __fastcall AppMessage(tagMSG &Msg, bool &Handled);

        // message functions
        void virtual __fastcall WMOpenOptions(TMessage& Msg);
        void virtual __fastcall WMOpenQuickStart(TMessage& Msg);
        void virtual __fastcall WMOpenHelpTopics(TMessage& Msg);
        void virtual __fastcall WMOpenHistory(TMessage& Msg);
        void virtual __fastcall WMShowAboutBox(TMessage& Msg);
        void virtual __fastcall WMGetViewMenu(TMessage& Msg);
        void virtual __fastcall WMSetViewMenu(TMessage& Msg);
        void virtual __fastcall WMCloseApp(TMessage& Msg);
        // message map
        BEGIN_MESSAGE_MAP
        MESSAGE_HANDLER(WM_OPENOPTIONS, TMessage, WMOpenOptions)
        MESSAGE_HANDLER(WM_OPENQUICKSTART, TMessage, WMOpenQuickStart)
        MESSAGE_HANDLER(WM_OPENHELPTOPICS, TMessage, WMOpenHelpTopics)
        MESSAGE_HANDLER(WM_OPENHISTORY, TMessage, WMOpenHistory)
        MESSAGE_HANDLER(WM_SHOWABOUTBOX, TMessage, WMShowAboutBox)
        MESSAGE_HANDLER(WM_GETVIEWMENU, TMessage, WMGetViewMenu)
        MESSAGE_HANDLER(WM_SETVIEWMENU, TMessage, WMSetViewMenu)
        MESSAGE_HANDLER(WM_CLOSEAPP, TMessage, WMCloseApp)
        END_MESSAGE_MAP(TForm)
};

//---------------------------------------------------------------------------
extern PACKAGE TQSnymWin *QSnymWin;
//---------------------------------------------------------------------------
#endif
