//---------------------------------------------------------------------------

#ifndef RBRemDlgsH
#define RBRemDlgsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
bool __fastcall OpenRBRemailerDialog(TForm *Owner, TStrings *Spec,
   const AnsiString &Caps, bool Last);

class TRBRemDlg : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label1;
        TButton *OkBtn;
        TButton *CancelBtn;
        TButton *AdvancedBtn;
        TTreeView *RemView;
        TButton *EkxBtn;
        TButton *EsubBtn;
        TBevel *Bevel1;
        TButton *LateBtn;
        void __fastcall EkxBtnClick(TObject *Sender);
        void __fastcall EsubBtnClick(TObject *Sender);
        void __fastcall AdvancedBtnClick(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
        void __fastcall LateBtnClick(TObject *Sender);
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
private:	// User declarations
public:		// User declarations
        TStrings *Spec;
        AnsiString Caps;
        TTreeNode *RemNode;
        __fastcall TRBRemDlg(TComponent* Owner);
        AnsiString __fastcall GetDirective(const AnsiString &Dir);
        int __fastcall SetDirective(const AnsiString &Dir, const AnsiString &Value);
        int __fastcall DelDirective(const AnsiString &Dir);
        bool __fastcall HasCap(const AnsiString &Cap);
};
//---------------------------------------------------------------------------
extern PACKAGE TRBRemDlg *RBRemDlg;
//---------------------------------------------------------------------------
#endif
