//---------------------------------------------------------------------------

#ifndef NewNymDlgsH
#define NewNymDlgsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Forms.hpp>

#include "PGPsdk.h"
//---------------------------------------------------------------------------
bool __fastcall GetNewNymValues(TForm *Owner, TPGPsdk *PGP, AnsiString &PGPKey,
   bool &ReplyBlock, AnsiString &Address, int &ChainLength);

class TNewNymDlg : public TForm
{
__published:	// IDE-managed Components
        TComboBox *PGPKey;
        TLabel *Label1;
        TBevel *Bevel1;
        TComboBox *ChainLength;
        TEdit *Address;
        TLabel *Label3;
        TButton *OkBtn;
        TButton *CancelBtn;
        TCheckBox *ReplyBlock;
        TLabel *Label2;
        TLabel *Label4;
        TButton *Help;
        void __fastcall ReplyBlockClick(TObject *Sender);
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall PGPKeyDrawItem(TWinControl *Control, int Index,
          TRect &Rect, TOwnerDrawState State);
private:	// User declarations
public:		// User declarations
        TStringList *nymservers;
        bool OrgRB;
        AnsiString OrgAddress;
        int OrgLength;
        __fastcall virtual TNewNymDlg(TComponent* Owner);
        __fastcall virtual TNewNymDlg(TComponent* Owner, AnsiString &PGPKey,
           bool &ReplyBlock, AnsiString &Address, int &ChainLength);
        __fastcall virtual~TNewNymDlg();

        void __fastcall GetNymServers(TStrings *servers);
        bool __fastcall CheckNotNymDomain();
        bool __fastcall CheckIsNymInUse();
        bool __fastcall Modified();
};
//---------------------------------------------------------------------------
extern PACKAGE TNewNymDlg *NewNymDlg;
//---------------------------------------------------------------------------
#endif
