//---------------------------------------------------------------------------

#ifndef NymFramesH
#define NymFramesH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "ItemsFrames3.h"
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
class TNymsFrame;
//---------------------------------------------------------------------------

TNymsFrame* __fastcall OpenNymsFrame(TForm *Owner, TPanel *Parent, const AnsiString &Path);

class TNymsFrame : public TItemsFrame3
{
__published:	// IDE-managed Components
        TMenuItem *NymsMenu;
        TMenuItem *NymsNewItem;
        TMenuItem *NymsOpenItem;
        TMenuItem *N2;
        TMenuItem *NymsDeleteItem;
        void __fastcall NymsNewItemClick(TObject *Sender);
        void __fastcall NymsOpenItemClick(TObject *Sender);
        void __fastcall NymsDeleteItemClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TNymsFrame(TComponent* Owner);
        __fastcall TNymsFrame(TComponent* Owner, TWinControl *parent, const AnsiString &path);

        void __fastcall NewNym();
        void __fastcall OpenSelectedNym();
        void __fastcall OpenNym(const AnsiString &Nym);
        void __fastcall DeleteSelectedNyms();
        void __fastcall DeleteNym(const AnsiString &Nym);
};
//---------------------------------------------------------------------------
extern PACKAGE TNymsFrame *NymsFrame;
//---------------------------------------------------------------------------
#endif
